#(32/64bit)

Name:    curlew
Version: 0.1.22.2
Release: %mkrel 1

Summary: Curlew multimedia converter
License: Waqf
URL:     http://gtk-apps.org/content/show.php/Curlew?content=155664
Source0:  %name-%version.tar.xz
Source1:  source-window-icon-fix.tar.xz
Group:   Video
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
#-------------------------------------
BuildRequires: python-devel
BuildRequires: intltool
BuildRequires: ImageMagick
BuildRequires: python-gobject3
BuildRequires: python-setuptools
BuildRequires: python-distutils-extra
#-------------------------------------
Requires: ffmpeg 
Requires: mencoder
Requires: python-gobject3  
Requires: xdg-utils



%description
Easy to use, Free and Open-Source Multimedia converter for Linux.
Curlew written in python and GTK3 and it depends on (ffmpeg/avconv, mencoder).

Main Features:
  - Easy to use with simple user interface.
  - Hide the advanced options with the ability to show them.
  - Convert to more than 100 different formats.
  - Show file informations (duration, remaining time, estimated size, progress value).
  - Allow to skip or remove file during conversion process.
  - Preview file before conversion.
  - Convert a specified portion of file.
  - Combine subtitle with video file.
  - Show error details if exist.
  - And more ...

%prep
%setup -q
# fix those dang missing window icons
unxz -c %SOURCE1 | tar xf - -C Curlew | rm -f Curlew/*.diff

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT 

desktop-file-install --vendor="" \
        --add-category="X-MandrivaLinux-Multimedia-Video" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/%name.desktop



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README LICENSE-*
%{_bindir}/%name
%{_datadir}/applications/%name.desktop
%{_datadir}/icons/hicolor/scalable/apps/%name.svg
%{_datadir}/icons/hicolor/*/apps/%name.png
%{_datadir}/locale/*/LC_MESSAGES/%name.mo
%{py_sitedir}/Curlew
%{py_sitedir}/%name-*

%changelog
* Tue Mar 11 2014 Ken <lxgator at gmail.com> 0.1.22.2-1pclos2014
- 0.1.22.2
- add source patch to fix missing icons in the windows.

* Mon Feb 17 2014 bb <bb> 0.1.22.1-1pclos2014
- update

* Wed Jan 22 2014 bb <bb> 0.1.22-2pclos2014
- drop post update-menus post script not needed anymore

* Wed Jan 22 2014 Ken <lxgator at gmail.com> 0.1.22-1pclos2014
- 0.1.22

* Thu Jan 09 2014 Ken <lxgator at gmail.com> 0.1.21-1pclos2014
- First pkg
